Name:           gnome-mines
Version:        3.8.2
Release:        1%{?dist}
Summary:        GNOME Mines Sweeper game

License:        GPLv2+ and CC-BY-SA
URL:            http://projects.gnome.org/gnome-games/
Source0:        http://download.gnome.org/sources/gnome-mines/3.8/gnome-mines-%{version}.tar.xz

BuildRequires:  desktop-file-utils
BuildRequires:  glib2-devel
BuildRequires:  gtk3-devel
BuildRequires:  intltool
BuildRequires:  itstool
BuildRequires:  librsvg2-devel

Obsoletes: gnome-games-gnomine < 1:3.7.92-1
Obsoletes: gnome-games < 1:3.7.92-1
Obsoletes: gnome-games-help < 1:3.7.92-1

%description
The popular logic puzzle minesweeper. Find mines on a grid 
using hints from squares you have already cleared.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/gnomine.desktop

%find_lang %{name} --with-gnome


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%postun
if [ $1 -eq 0 ]; then
  touch --no-create %{_datadir}/icons/hicolor &> /dev/null
  gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
  glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi


%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
glib-compile-schemas %{_datadir}/glib-2.0/schemas &>/dev/null || :


%files -f %{name}.lang
%doc COPYING
%{_bindir}/gnome-mines
%{_datadir}/applications/gnomine.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.mines.gschema.xml
%{_datadir}/gnome-mines
%{_datadir}/icons/hicolor/*/apps/gnome-mines.*
%{_mandir}/man6/gnome-mines.6*


%changelog
* Mon Jan 20 2014 Richard Hughes <rhughes@redhat.com> - 3.8.2-1
- Update to 3.8.2

* Fri Jun 21 2013 Kalev Lember <kalevlember@gmail.com> - 3.8.1-3
- Obsolete gnome-games-help as well

* Thu Jun 20 2013 Matthias Clasen <mclasen@redhat.com> - 3.8.1-2
- Obsolete gnome-games (for upgrades from f17)

* Mon Apr 15 2013 Kalev Lember <kalevlember@gmail.com> - 3.8.1-1
- Update to 3.8.1

* Wed Mar 27 2013 Yanko Kaneti <yaneti@declera.com> - 3.8.0-1
- Update to 3.8.0

* Tue Mar 19 2013 Yanko Kaneti <yaneti@declera.com> - 3.7.92-1
- Update to 3.7.92

* Fri Feb 15 2013 Yanko Kaneti <yaneti@declera.com> - 3.7.5-1
- Initial packaging of standalone gnome-mines
